/*
 *  Copyright 2016 Anyware Services
 *
 *  Licensed under the Apache License, Version 2.0 (the "License");
 *  you may not use this file except in compliance with the License.
 *  You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing, software
 *  distributed under the License is distributed on an "AS IS" BASIS,
 *  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the License for the specific language governing permissions and
 *  limitations under the License.
 */

Ext.namespace('org.ametys.forms.tool');

org.ametys.forms.tool.FormsListToolFactory = function(id, config, pluginName) 
{
	org.ametys.forms.tool.FormsListToolFactory.superclass.constructor.call(this, id, config, pluginName);
};

Ext.extend(org.ametys.forms.tool.FormsListToolFactory, org.ametys.uitool.tool.impl.UniqueInstanceToolFactory,
{
	createTool: function (id)
	{
		var tool = new org.ametys.forms.tool.FormsListTool(id, this.getPluginName());
		tool.setConfiguration (this._config);
		return tool;
	}
});

